Subject: Problem with ar.exe
From: [email-masked] (Nick van Eijndhoven)

19 Feb 1997 03:35:12 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
Original-Cc: [email-masked], [email-masked] (Nick van Eijndhoven)
X-Mailer: ELM [version 2.4 PL25]
Original-Sender: [email-masked]

Dear GNU development team,
Recently I took your beta 1.7 release of the gnu-win32 stuff (i.e. all.tar.gz)
in order to use the GCC (or g++ if you like) stuff for compiling my C++
programs and making libraries under windows95.
In our High energy community we use a very sophisticated code management
system (CMZ) from which we can automatically invoke compilers and librarians.
Before we were based on the DJGPP package and to create a library, one
of the built-in command in CMZ was

'ar rs lib.a @input.dat'

where the file input.dat contains the names of all the .o files 
(1 filename per line) to be processed into the lib lib.a
This all worked fine, however with your new beta 1.7 release the
ar command seems now to look for a file @input.dat (which obviously is
not present) and as such the ar pass fails.
Question : How can I run the ar pass by specifying a filename where
the names of the .o files are given.
I already tried

ar rs lib.a <<input.dat     and also  ar rs lib.a <input.dat

but none of this worked.

                                            Thanks in advance,
                                                  Nick.

*----------------------------------------------------------------------*
 Dr. Nick van Eijndhoven                Department of Subatomic Physics
 email : [email-masked]                Utrecht University / NIKHEF
 tel. +31-30-2532331 (direct)           P.O. Box 80.000
 tel. +31-30-2531492 (secr.)            NL-3508 TA Utrecht
 fax. +31-30-2518689                    The Netherlands
 WWW : http://www.fys.ruu.nl/~nick      Office : Ornstein lab. 172
*----------------------------------------------------------------------*
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".